Skip to main content
GET
Get asset flow for an address

Authorizations

X-API-KEY
string
header
required

Authorization method required to allow user to access the api endpoints.

Query Parameters

network
string
required

Network of Address

Example:

"ethereum"

address
string
required

Address to search

Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

network_type
string
required

network type: evm, solana, cosmos, etc.

Example:

"evm"

token_contracts
string
required

Comma separated list of token contract addresses (max 30).

Example:

"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"

workspace_id
string

Your own workspace id, to filter this address's balances by your workspace's token whitelist. Must equal the workspace of the API key making the request (403 otherwise). Omit for the unfiltered response.

show_all
boolean
default:false

Restores the unfiltered response, ignoring the workspace token whitelist. Only meaningful alongside workspace_id.

Response

200 - application/json

Per-day, per-token asset flow entries for the given address.

Last modified on November 9, 2026